Skip to content

revokeScreenCredential

POST
/api/v1/screens/{id}/revoke
curl --request POST \
--url https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/revoke \
--header 'Content-Type: application/json' \
--cookie tilecast_session=<tilecast_session> \
--data '{ "reason": "example" }'

Requires the Owner or Administrator role with the admin scope. Cookie requests additionally require the X-CSRF-Token header. Permanently revokes a screen’s device credential.

id
required
string format: uuid
Media typeapplication/json
object
reason
string
<= 1000 characters
Examplegenerated
{
"reason": "example"
}

Credential permanently revoked

Dashboard authentication required

Owner or Administrator required